## bootterm 0.5

=== Makefile ===
# verbosity: pass V=1 for verbose shell invocation
V           = 0

TOPDIR     := $(PWD)
DESTDIR    :=
PREFIX     := /usr/local
LIBDIR     := $(PREFIX)/lib

CROSS_COMPILE :=

CC         := $(CROSS_COMPILE)cc
OPT_CFLAGS := -O2
CPU_CFLAGS := -fomit-frame-pointer
DEB_CFLAGS := -Wall -g
DEF_CFLAGS :=
USR_CFLAGS :=
INC_CFLAGS :=
THR_CFLAGS :=
CFLAGS     := $(OPT_CFLAGS) $(CPU_CFLAGS) $(DEB_CFLAGS) $(DEF_CFLAGS) $(USR_CFLAGS) $(INC_CFLAGS) $(THR_CFLAGS)

LD         := $(CC)
DEB_LFLAGS := -g
USR_LFLAGS :=
LIB_LFLAGS :=
THR_LFLAGS :=
LDFLAGS    := $(DEB_LFLAGS) $(USR_LFLAGS) $(LIB_LFLAGS) $(THR_LFLAGS)

AR         := $(CROSS_COMPILE)ar
STRIP      := $(CROSS_COMPILE)strip
INSTALL    := install
BINS       := bin/bt
OBJS       :=
OBJS       += $(patsubst %.c,%.o,$(wildcard src/*.c))
OBJS       += $(patsubst %.S,%.o,$(wildcard src/*.S))

ifeq ($V,1)
Q=
cmd_AR      = $(AR)
cmd_CC      = $(CC)
cmd_LD      = $(LD)
cmd_STRIP   = $(STRIP)
cmd_INSTALL = $(INSTALL)
else
Q = @
cmd_AR      = $(Q)echo "  AR      $@";$(AR)
cmd_CC      = $(Q)echo "  CC      $@";$(CC)
cmd_LD      = $(Q)echo "  LD      $@";$(LD)
cmd_STRIP   = $(Q)echo "  STRIP   $@";$(STRIP)
cmd_INSTALL = $(Q)echo "  INSTALL $@";$(INSTALL)
endif

all: static shared bins

static: $(STATIC)

shared: $(SHARED)

bins: $(BINS)

bin/%: src/%.o
	$(Q)mkdir -p bin
	$(cmd_LD) $(LDFLAGS) -o $@ $^

%.o: %.c
	$(cmd_CC) $(CFLAGS) -o $@ -c $<

install: install-bins

install-bins: bins
	$(cmd_STRIP) $(BINS)
	$(Q)[ -d "$(DESTDIR)$(PREFIX)/bin/." ] || mkdir -p -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(cmd_INSTALL) -m 0755 $(BINS) $(DESTDIR)$(PREFIX)/bin

clean:
	$(Q)-rm -f $(BINS) $(OBJS) *.o *~

=== debian/changelog ===
bootterm (0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1068131)

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 04 Apr 2024 20:33:58 +0300

=== debian/control ===
Source: bootterm
Section: comm
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 help2man <!nodoc>,
 lowdown <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://github.com/wtarreau/bootterm
Vcs-Browser: https://salsa.debian.org/debian/bootterm
Vcs-Git: https://salsa.debian.org/debian/bootterm.git

Package: bootterm
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: simple terminal to ease connections with SBCs
 Bootterm is a simple, reliable and powerful terminal designed to ease
 connection to ephemeral serial ports as found on various SBCs, and typically
 USB-based ones.
 .
 Main features:
  * automatic port detection (uses the most recently registered one by default)
  * enumeration of available ports with detected drivers and descriptions
  * wait for a specific, a new, or any port to appear (convenient with USB
    ports)
  * support for non-standard baud rates (e.g. 74880 bauds for ESP8266)
  * can send a Break sequence and toggling RTS/DTR for various reset sequences,
    even on startup
  * fixed/timed captures to files (may be enabled at run time)
  * optionally time-stamped captures (relative/absolute dates)
  * reliable with proper error handling
  * single binary without annoying dependencies, builds out of the box
  * supports stdin/stdout to inject/download data
  * configurable escape character and visible character ranges

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = '-DVERSION=\\\"$(DEB_VERSION)\\\"'

%:
	dh $@

override_dh_auto_build:
	# upstream Makefile does not support CPPFLAGS, abuse CFLAGS for it
	dh_auto_build -- \
		V=1 \
	 	CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
	 	LDFLAGS="$(LDFLAGS)"
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	debian/generate-manpage.sh bin/bt > debian/bt.1
endif

override_dh_auto_install:
	# * Don't hide commands, verbose mode
	# * Install under /usr, not /usr/local
	# * make install strips (for some reason), but we want to do that later
	#   with dh_strip, while keeping the symbols for dbgsym
	dh_auto_install -- \
		V=1 \
	       	PREFIX=/usr \
	       	STRIP=true

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/wtarreau/bootterm/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
